Subject: Re: more info on the cygwin.dll exception error
From: [email-masked] (Jim Balter)

15 Feb 1997 00:57:50 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Jonathan Monteleone <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Jonathan Monteleone wrote:
> 
> Ok, sorry the fflush(stdout) was not the problem!  I have tracked it down to
> this line of C code:
>   if(!(ie_temp = fopen(ie_tempfile, "w")))
> 
> I have run my executable in gdb and receive this information:
> Program received signal SIGSEGV, Segmentation fault.
> 0x10019144 in hinfo_vec::build_fhandler (this=0x83064404, name=0x0, fd=7)
>     at /pizza/mushroom/noer/beta17/src/winsup/hinfo.cc:157
> /pizza/mushroom/noer/beta17/src/winsup/hinfo.cc:157: No such file or directory.
> Current language:  auto; currently c++
> 
> I would really appreciate some help figuring this out :)

Your ie_tempfile variable is set to NULL.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".